package main;

import object.Boots;
import object.Chest;
import object.Door;
import object.Key;

public class AssetSetter {
    GamePanel gamePanel;
    public AssetSetter(GamePanel gamePanel) {
        this.gamePanel = gamePanel;
    }

    public void setObject() {
        gamePanel.obj[0] = new Key(23 * gamePanel.tileSize, 7 * gamePanel.tileSize);
        gamePanel.obj[1] = new Key(23 * gamePanel.tileSize, 40 * gamePanel.tileSize);
        gamePanel.obj[2] = new Key(38 * gamePanel.tileSize, 9 * gamePanel.tileSize);
        gamePanel.obj[3] = new Door(10 * gamePanel.tileSize, 11 * gamePanel.tileSize);
        gamePanel.obj[4] = new Door(8 * gamePanel.tileSize, 28 * gamePanel.tileSize);
        gamePanel.obj[5] = new Door(12 * gamePanel.tileSize, 22 * gamePanel.tileSize);
        gamePanel.obj[6] = new Chest(10 * gamePanel.tileSize, 7 * gamePanel.tileSize);
        gamePanel.obj[7] = new Boots(37 * gamePanel.tileSize, 42 * gamePanel.tileSize);
    }
}
